stages:
- name: eventselection_mc
  dependencies: [init]
  scheduler:
    scheduler_type: multistep-stage
    parameters:
      CERN_USER:    {step: init, output: CERN_USER}
      SERVICE_PASS: {step: init, output: SERVICE_PASS}
      configFile:   {step: init, output: configFiles_mc}
      inputList:    {step: init, output: inputLists_mc}
      sampleName:   {step: init, output: sampleNames_mc}
      modBaseAlgo:  {step: init, output: modBaseAlgos_mc}
      modConfig:    {step: init, output: modConfigs_mc}
      stepdir:      '{workdir}'
    scatter:
       method: zip
       parameters: [configFile, inputList, sampleName, modBaseAlgo, modConfig]
    step: {$ref: 'steps.yml#/eventselection_list'}
    
- name: eventselection_data
  dependencies: [init]
  scheduler:
    scheduler_type: singlestep-stage
    parameters:
      CERN_USER:    {step: init, output: CERN_USER}
      SERVICE_PASS: {step: init, output: SERVICE_PASS}
      configFile:   {step: init, output: configFile_data}
      inputList:    {step: init, output: inputList_data}
      sampleName:   {step: init, output: sampleName_data}
      modBaseAlgo:  {step: init, output: modBaseAlgo_data}
      modConfig:    {step: init, output: modConfig_data}
      stepdir:      '{workdir}'
    step: {$ref: 'steps.yml#/eventselection_list'}
    
- name: merge_mc
  dependencies: [eventselection_mc]
  scheduler:
    scheduler_type: singlestep-stage
    parameters:
      inputFiles: {stages: eventselection_mc, output: histFile, flatten: true}
      outputFile: '{workdir}/powpythia_merged.root'
    step: {$ref: 'steps.yml#/merge'}
    
- name: validate_mc
  dependencies: [merge_mc]
  scheduler:
    scheduler_type: singlestep-stage
    parameters:
      inputFile: {step: merge_mc, output: histFile}
      outputPlot: '{workdir}/plot_mc.pdf'
    step: {$ref: 'steps.yml#/validate'}
    
- name: validate_data
  dependencies: [eventselection_data]
  scheduler:
    scheduler_type: singlestep-stage
    parameters:
      inputFile: {step: eventselection_data, output: histFile}
      outputPlot: '{workdir}/plot_data.pdf'
    step: {$ref: 'steps.yml#/validate'}
  
- name: validate_data_mc
  dependencies: [merge_mc,eventselection_data]
  scheduler:
    scheduler_type: singlestep-stage
    parameters:
      inputFile_mc:   {step: merge_mc, output: histFile}
      inputFile_data: {step: eventselection_data, output: histFile}
      outputPlot: '{workdir}/plot_data_mc.pdf'
    step: {$ref: 'steps.yml#/validate_data_mc'}
   
 